<?php

namespace Teknisa\CRM\Controller;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Teknisa\Libs\Util\Environment;

class CrmLoginController {
    
    protected $environment;
    
    public function __construct(Environment $environment) {
        $this->environment = $environment;
    }
    
    /*
    * Função para setar as informações do operador
    * logado na sessão.
    */
    public function setLoggedOperatorInfosInPhpSession(Request $request, Response $response) {
        
        $row = $request->getRow();
        
        
        $this->environment->setCdOperador($row["CDOPERADOR"]);
        $this->environment->setNrOrg($row["NRORG"]);
        $this->environment->setNrOrgTrab($row["NRORGTRAB"]);
        $this->environment->setCdFilial($row["CDFILIAL"]);
        
        
    }
}